package com.ruoyi.tc.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 管理端审核请求体
 * @author du
 * @since 2024/12/23 15:38
 */
@Data
public class AssetAuditRequest {

    @NotNull
    @ApiModelProperty("资产id")
    private Long currentId;

    @NotBlank
    @ApiModelProperty("审核状态（1未审批 2审批通过 3审批驳回）")
    private String auditState;


    @ApiModelProperty("单位自己编辑的 不通过原因")
    private String auditYy;

}
