package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetAppCpPo;
import com.ruoyi.tc.entity.po.AssetAppJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.mapper.AssetAppCpMapper;
import com.ruoyi.tc.mapper.AssetAppJyMapper;
import com.ruoyi.tc.service.AssetAppCpService;
import com.ruoyi.tc.service.AssetAppJyService;
import org.springframework.stereotype.Service;

/**
 * 资产移动应用程序表(asset_app_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetAppJyService")
public class AssetAppJyServiceImpl extends ServiceImpl<AssetAppJyMapper, AssetAppJyPo> implements AssetAppJyService {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetAppJyPo> getAuditList(Page<AssetAppJyPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page,as);
    }
}
