package com.ruoyi.tc.entity;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 导入导出模板读取字段
 * @author du
 * @since 2024/11/18 8:55
 */
@Data
@ApiModel("导入导出模板读取字段")
public class AssetExport extends AssetCurrent{
    /**
     * 名称
     */
    @Excel(name = "*系统建设单位名称",width=26,sort = 67)
    private String name;
    /**
     * 统一信用代码
     */
    @Excel(name = "*系统建设单位统一信用代码",width=26,sort = 68)
    private String tyshxydm;
    /**
     * 联系人
     */
    @Excel(name = "*系统建设单位联系人",width=26,sort = 69)
    private String lxr;
    /**
     * 联系电话
     */
    @Excel(name = "*系统建设单位联系电话",width=26,sort = 70)
    private String lxdh;
    /**
     * 供应商注册地址
     */
    @Excel(name = "*系统建设单位供应商注册地址",width=26,sort = 71)
    private String gyszcdz;
    /**
     * 注册地是否为太仓
     */
    @Excel(name = "*系统建设单位注册地址是否为太仓",width=26,sort = 72,dictType = "is_no",comboReadDict = true)
    private String sfwtc;

    /**
     * 名称
     */
    @Excel(name = "*系统运营单位名称",width=26,sort = 73)
    private String name1;
    /**
     * 统一信用代码
     */
    @Excel(name = "*系统运营单位统一信用代码",width=26,sort = 74)
    private String tyshxydm1;
    /**
     * 联系人
     */
    @Excel(name = "*系统运营单位联系人",width=26,sort = 75)
    private String lxr1;
    /**
     * 联系电话
     */
    @Excel(name = "*系统运营单位联系电话",width=26,sort = 76)
    private String lxdh1;
    /**
     * 供应商注册地址
     */
    @Excel(name = "*系统运营单位供应商注册地址",width=26,sort = 77)
    private String gyszcdz1;
    /**
     * 注册地是否为太仓
     */
    @Excel(name = "*系统运营单位注册地址是否为太仓",width=26,sort = 78,dictType = "is_no",comboReadDict = true)
    private String sfwtc1;

    /**
     * 设备类型
     */
    @Excel(name = "*服务器信息-设备类型",width=26,sort = 79)
    private String sblx;
    /**
     * 品牌
     */
    @Excel(name = "*服务器信息-品牌",width=26,sort = 80)
    private String pp;
    /**
     * 设备IP
     */
    @Excel(name = "*服务器信息-设备IP",width=26,sort = 81)
    private String sbIp;
    /**
     * 操作系统
     */
    @Excel(name = "*服务器信息-操作系统",width=26,sort = 82,dictType = "fwq_czxt",comboReadDict = true)
    private String czxt;
    /**
     * 操作系统版本
     */
    @Excel(name = "*服务器信息-操作系统版本",width=26,sort = 83)
    private String czxtbb;
    /**
     * 硬件型号
     */
    @Excel(name = "*服务器信息-硬件型号",width=26,sort = 84)
    private String yjxh;
    /**
     * 硬件序列号
     */
    @Excel(name = "服务器信息-硬件序列号",width=26,sort = 85)
    private String yjxlh;
    /**
     * 硬件版本信息
     */
    @Excel(name = "服务器信息-硬件版本信息",width=26,sort = 86)
    private String yjbbxx;
    /**
     * 硬件用途
     */
    @Excel(name = "*服务器信息-硬件用途",width=26,sort = 87)
    private String yjyt;
    /**
     * 硬件部署位置
     */
    @Excel(name = "*服务器信息-硬件部署位置",width=26,sort = 88)
    private String yjbsxx;

    @Excel(name = "*网络设备-设备类型",width=26,sort = 89)
        private String wlsblx;

    @Excel(name = "*网络设备-品牌",width=26,sort = 90)
    private String wlpp;

    @Excel(name = "*网络设备-设备IP",width=26,sort = 91)
    private String wlsbIp;

    @Excel(name = "*网络设备-硬件型号",width=26,sort = 92)
    private String wlyjxh;

    @Excel(name = "网络设备-硬件序列号",width=26,sort = 93)
    private String wlyjxlh;

    @Excel(name = "网络设备-硬件版本信息",width=26,sort = 94)
    private String wlyjbbxx;

    @Excel(name = "*网络设备-硬件用途",width=26,sort = 95)
    private String wlyjyt;

    @Excel(name = "*网络设备-硬件部署位置",width=26,sort = 96)
    private String wlyjbsxx;

    @Excel(name = "*安全设备-设备类型",width=26,sort = 97)
    private String aqwlsblx;

    @Excel(name = "*安全设备-品牌",width=26,sort = 98)
    private String aqwlpp;

    @Excel(name = "*安全设备-设备IP",width=26,sort = 99)
    private String aqwlsbIp;

    @Excel(name = "*安全设备-硬件型号",width=26,sort = 100)
    private String aqyjxh;

    @Excel(name = "安全设备-硬件序列号",width=26,sort = 101)
    private String aqyjxlh;

    @Excel(name = "安全设备-硬件版本信息",width=26,sort = 102)
    private String aqyjbbxx;

    @Excel(name = "*安全设备-硬件用途",width=26,sort = 103)
    private String aqyjyt;

    @Excel(name = "*安全设备-硬件部署位置",width=26,sort = 104)
    private String aqyjbswz;
}
