package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetOfficialAccountCpPo;
import com.ruoyi.tc.entity.po.AssetOfficialAccountJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.mapper.AssetOfficialAccountCpMapper;
import com.ruoyi.tc.mapper.AssetOfficialAccountJyMapper;
import com.ruoyi.tc.service.AssetOfficialAccountCpService;
import com.ruoyi.tc.service.AssetOfficialAccountJyService;
import org.springframework.stereotype.Service;

/**
 * 公众号资产(asset_official_account_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetOfficialAccountJyService")
public class AssetOfficialAccountJyServiceImpl extends ServiceImpl<AssetOfficialAccountJyMapper, AssetOfficialAccountJyPo> implements AssetOfficialAccountJyService {

    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetOfficialAccountJyPo> getAuditList(Page<AssetOfficialAccountJyPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page,as);
    }
}
